menu
#5777668 Declaration of solo\hotairballoon\HotAirBalloon::onLoad() must be compatible with pocketmine\plugin\PluginBase::onLoad(): void

Submitted by PocketMine-MP 4.0.6

General information

Version: 4.0.6
Git commit: f7d25f25
Plugin involvement: Direct
Report date: 2022-01-15 00:43:00 +0000 UTC
Server uptime: 0 days 0 hours 0 minutes 0 seconds

System Information

PHP version: 8.0.13
Operating system: linux
System banner: Linux ip135-148-6-172 4.15.0-156-generic #163-Ubuntu SMP Thu Aug 19 23:31:58 UTC 2021 x86_64

Error information

Warning: a plugin was directly involved in this crash. Please contact the plugin author.
Message: Declaration of solo\hotairballoon\HotAirBalloon::onLoad() must be compatible with pocketmine\plugin\PluginBase::onLoad(): void
File: plugins/HotAirBalloon_v0.0.3.phar/src/solo/hotairballoon/HotAirBalloon
Line: #32
Error level: E_COMPILE_ERROR
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42

class HotAirBalloon extends PluginBase{

public static $prefix = "§l§b[HotAirBalloon] §r§7";

public static $resources;

public static $used = [];

public function onLoad(){
self::$resources = new Resources($this);

Entity::registerEntity(AirVehicle::class, false, ["airvehicle"]);
}

public function onEnable(){
S::command(
"vehicle registerskin",
"Register your skin to resources for visualize vehicle.",
"/vehicle registerskin <name>",

Loaded Plugins

  • Show

Server Settings

  • Show

Installed PHP Extensions

  • Show